For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Help Requested with NT Installation

Anonymous's picture
Forums: 

I have correctly downloaded all of the source code and Windows NT binaries into the default folder Cas3.0 using Winzip.

However, I find the source code installation readme file very confusing and in any case I do not understand the last section as it concerns compiling operations in Visual C++ that I am not familiar with.

Can somebody supply me with the information I need to be able to test the Draw environment?

It would help if the readme files for Windows NT did not contain references to the Linux and Sun OS' and I think that other users would appreciate this also.

Kind regards,

Alan Hazell

Heinrich Kiehm's picture

Hi Mr. Hazell,

I have similar problems, but i didn't try to use draw... for there is a library missing (tcl76.dll) but i compiled the 3DViewer for NT. Copiling and Linking is no problem, but running does not work. I get ''Fatal Error During Graphis Init....". This error is called from "CSampleViewer3dApp::CSampleViewer3dApp() {

try

{myGraphicDevice = new Graphic3d_WNTGraphicDevice();}

catch(Standard_Failure)

{AfxMessageBox("Fatal Error During Graphic Initialisation");} } " ?????

If you have similar problems or answers... please send me a mail.

Regards Heinrich Kiehm

Haffray Arnaud's picture

Hi all,

Concerning the error message : ''Fatal Error During Graphis Init...."

As written in the readme file you must set the environment variable :

CSF_GRAPHICSHR as your installpath\dll\opengl.dll

to be able to run the cascade Viewers

Stay tuned

Arnaud

Régis Le Boité's picture

Hello.

Just an additional information.

TCL/TK version 7.6 can be downloaded from:

http://www.scriptics.com/products/tcltk/7.6.html

TCL is required only to use TestHarness.

I hope this will help.

Régis Le Boité